OpenFinance
How to use OpenFinance to submit a payin in Brazil.
Last updated
{
"code": "10000",
"msg": "Success",
"trade_no": "2022021810560500094",
"out_trade_no": "202201010354003",
"web_url": "",
"pay_url": "https://nuapp.nubank.com.br/open-banking/authorize?client_id=",
"trade_status": "PROCESSING"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354003",
* "method": "OpenFinance",
* "bank": "75e2b9f4-4f60-4d07-916c-fde1163d43bc",
* "order_amount": "12.01",
* "order_currency": "BRL",
* "subject": "trade pay test",
* "content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
"timeout_express":"1c",
* "customer" : {
* "identify": {
* "type": "CPF",
* "number": "11032341882"
},
* "name": "Test User Name",
* "email": "test@pagsmile.com"
}
}'